summaryrefslogtreecommitdiff
path: root/standalone/windows
diff options
context:
space:
mode:
authorGravatar Joey Hess <joey@kitenet.net>2013-12-06 14:41:33 -0400
committerGravatar Joey Hess <joey@kitenet.net>2013-12-06 14:41:33 -0400
commit5cabac160829dbe7c02cd64646ace931f78f05bf (patch)
tree0238c62f7222d532bdd3ad2187c9a4a4cbb3a781 /standalone/windows
parent041ba8aab021a15b8704dda80529e87f12e58a30 (diff)
test
Diffstat (limited to 'standalone/windows')
-rwxr-xr-xstandalone/windows/build.sh11
1 files changed, 6 insertions, 5 deletions
diff --git a/standalone/windows/build.sh b/standalone/windows/build.sh
index e91d513a5..fbd7ac3bd 100755
--- a/standalone/windows/build.sh
+++ b/standalone/windows/build.sh
@@ -10,11 +10,6 @@ set -e
HP="/c/Program Files (x86)/Haskell Platform/2013.2.0.0"
PATH="$HP/bin:$HP/lib/extralibs/bin:/c/Program Files (x86)/NSIS:/c/msysgit/cmd:/c/msysgit/bin:$PATH"
-git --version || echo "git failed to run!"
-withcyg git --version || echo "cygwin git failed to run!"
-
-# This tells git-annex where to upgrade itself from.
-UPGRADE_LOCATION=http://downloads.kitenet.net/git-annex/windows/current/git-annex-installer.exe
# Run a command with the cygwin environment available.
# However, programs not from cygwin are preferred.
@@ -22,6 +17,12 @@ withcyg () {
PATH="$PATH:/c/cygwin/bin" "$@"
}
+git --version || echo "git failed to run!"
+withcyg git --version || echo "cygwin git failed to run!"
+
+# This tells git-annex where to upgrade itself from.
+UPGRADE_LOCATION=http://downloads.kitenet.net/git-annex/windows/current/git-annex-installer.exe
+
# Uncomment to get rid of cabal installed libraries.
#rm -rf /c/Users/jenkins/AppData/Roaming/cabal /c/Users/jenkins/AppData/Roaming/ghc